import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const secretView = await client.secrets.create({ name: 'name', value: 'value' });
console.log(secretView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
secret_view = client.secrets.create(
name="name",
value="value",
)
print(secret_view.id)curl --request POST \
--url https://api.runloop.ai/v1/secrets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"value": "<string>"
}
'
{
"id": "<string>",
"name": "<string>",
"create_time_ms": 123,
"update_time_ms": 123
}Create a Secret.
Create a new Secret with a globally unique name and value. The Secret will be encrypted at rest and made available as an environment variable in Devboxes.
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const secretView = await client.secrets.create({ name: 'name', value: 'value' });
console.log(secretView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
secret_view = client.secrets.create(
name="name",
value="value",
)
print(secret_view.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Parameters required to create a new Secret.
The globally unique name for the Secret. Must be a valid environment variable name (alphanumeric and underscores only). Example: 'DATABASE_PASSWORD'
The value to store for this Secret. This will be encrypted at rest and made available as an environment variable in Devboxes. Example: 'my-secure-password'
Response
Secret created successfully. Returns the Secret with its value included.
A Secret represents a key-value pair that can be securely stored and used in Devboxes as environment variables.
The unique identifier of the Secret.
The globally unique name of the Secret. Used as the environment variable name in Devboxes.
Creation time of the Secret (Unix timestamp in milliseconds).
Last update time of the Secret (Unix timestamp in milliseconds).
Was this page helpful?
